Bug 37053 - ipv6: /sbin/service network restart kills autoconfiguration
Summary: ipv6: /sbin/service network restart kills autoconfiguration
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Miller
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-22 12:33 UTC by Pekka Savola
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-25 21:21:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2001-04-22 12:33:20 UTC
If you do /sbin/service network restart (or ifdown eth0 ; ifup eth0 just the same), 
IPv6 autoconfiguration no longer works.  This might be a problem
with reactivating a certain part of multicast listening on the interface.

If the network driver is reloaded, autoconfiguration begins to work again.

See the netdev mail and followups for details:

http://marc.theaimsgroup.com/?l=linux-netdev&m=98766543122621&w=2

Comment 1 Pekka Savola 2001-04-24 08:13:35 UTC
As USAGI has this working, I went through a couple of promising-looking patches
to find out what fixes this.

For me, after applying this:

http://www.linux-ipv6.org/cvsweb/usagi/kernel/linux24/net/ipv6/addrconf.c.diff?r1=1.1&r2=1.2

(on top of core/neighbour.c changes, which aren't necessary I think),
autoconfiguration
works again.

Please review the patch and incorporate if it looks sane.

Comment 2 David Miller 2001-04-25 21:21:29 UTC
Fixed in the next build, check rawhide for 2.4.3-2.14.3 or later, and if the
bug persists please reopen this.

I will also be pushing this fix to Linus shortly.


Comment 3 Pekka Savola 2001-05-01 08:53:05 UTC
Verified to work in 2.4.3-2.14.9.


Note You need to log in before you can comment on or make changes to this bug.